/**
* Handles feature timers
**/

jQuery(document).ready(function() {
	
	function process_reports_list_timer() {
      var form = jQuery( '#mainform' ).serialize();	  
	  
	  jQuery.ajax( {
        url: rst_ajax_settings.root + 'it-sales-acc/v1/reporting/timers',
        method: 'PUT',
        data: {
            'form': form
        },
        beforeSend: function( xhr ) {
	        xhr.setRequestHeader( 'X-WP-Nonce', rst_ajax_settings.nonce );		    	
		},
        success:function( response ) {
	        var result = response.result;
	        if( result ){
				jQuery( '.openModal_Reports .modal-modules' ).css( 'display', 'none' );
				jQuery( '.openModal_Timer .modal-modules' ).css( 'display', 'none' );
				jQuery( 'body' ).attr( 'style', 'overflow: inherit;' );
				jQuery( '#rp-timer-saved' ).css( 'display', 'flex');
				setTimeout(function(){jQuery('#rp-timer-saved').fadeOut("slow"); },2000);
	        }
        },
        error: function( errorThrown ) {}
      } );
    }
	
	// Process event list timer form
	jQuery( 'span#it_rooster_reports_list_timer_btn' ).click(function() {
		process_reports_list_timer();
	} );
	
} );