<?php
	
if ( !defined( 'ABSPATH' ) ) {
	exit(); // Exit if accessed directly
}

class IT_RST_RP_Grid_Pro extends IT_RST_RP_Grid {
    
    // Singleton design pattern
    protected static $instance = NULL;
    
    // Method to return the singleton instance
    public static function get_instance() {
	    
        if ( null == self::$instance ) {
            self::$instance = new self();
        }
        
        return self::$instance;
    }

    public function __construct() {}
    
    // Save Grid Layout
    public function savegrid() {

		$user = wp_get_current_user();
		
	    if ( isset( $_GET['boxCoord'] ) ) {
		    update_user_meta( $user->ID, 'it_rooster_box_coord', $_GET['boxCoord'] );
		    return true;
	    }
	    else{
	   		return false;
	   	}
    }
   
    // Save Grid JSON Endpoint
    public function savegrid_json_endpoint( $request ) {
	    
	    $data = $this->savegrid();
	    return new IT_REST_Response( array( 'result' => true, 'data' => $data )  , 200 );
    }
}