<?php
	
// If uninstall not called from WordPress exit
if( !defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit ();
}

global $wpdb;

// Delete modules custom tables if they exist
$dbs = ( get_option( 'it_rooster_modules_db' ) ) ? get_option( 'it_rooster_modules_db' ) : array();

foreach( $dbs as $db ) {
	$wpdb->query( "DROP TABLE IF EXISTS $db" );
}

// Delete orphan meta
$wpdb->query( "DELETE FROM {$wpdb->prefix}postmeta WHERE meta_key LIKE '%it_rooster_%'" );

// Delete options
$wpdb->query( "DELETE FROM {$wpdb->prefix}options WHERE option_name LIKE '%it_rooster_%'" );